       <style>
        .chat24-container {
        z-index: 9999!important;
      }
      .viber__wrapper {
  position: absolute;
  width: 360px;
  height: 710px;
  min-height: 500px;
  z-index: 5;
  display: flex;
  flex-flow: column;
  box-shadow: 0px 5px 25px rgba(0, 0, 0, 0.15);
  border-radius: 14px;
  z-index: 2;
  padding: 23px 22px 0;
  overflow-x: hidden;
  overflow-y: auto;
  transition: all 0.15s linear;
}

.viber__wrapper--light {
  background-color: #fff;
  color: #000;
}

.viber__wrapper--dark {
  background-color: #172533;
  color: #ffffff;
}

.viber__wrapper--min {
  height: auto;
}

.viber__wrapper--horizontal-right {
  -ms-transform-origin-x: right;
  -webkit-transform-origin-x: right;
}

.viber__wrapper--horizontal-left {
  -ms-transform-origin-x: left;
  -webkit-transform-origin-x: left;
}

.viber__wrapper--horizontal-bottom {
  max-height: calc(90vh - 74px);
  -ms-transform-origin-y: bottom;
  -webkit-transform-origin-y: bottom;
}

.viber__wrapper--horizontal-center {
  max-height: calc(50vh - 74px);
  -ms-transform-origin-y: top;
  -webkit-transform-origin-y: top;
}

.viber__wrapper--vertical-right {
  -ms-transform-origin-x: right;
  -webkit-transform-origin-x: right;
}

.viber__wrapper--vertical-left {
  -ms-transform-origin-x: left;
  -webkit-transform-origin-x: left;
}

.viber__wrapper--vertical-bottom {
  max-height: 90vh;
  -ms-transform-origin-y: bottom;
  -webkit-transform-origin-y: bottom;
}

.viber__wrapper--vertical-center {
  max-height: 50vh;
  -ms-transform-origin-y: top;
  -webkit-transform-origin-y: top;
}

.viber__wrapper__close {
  position: sticky;
  height: 0;
  top: 9px;
  margin-right: 10px;
  margin-left: auto;
}

.viber__wrapper__close__button {
  height: auto;
  padding: 0;
  border: none;
  outline: none;
  box-shadow: none;
  background: transparent;
  cursor: pointer;
}

.viber__wrapper__close__button:hover {
  background-color: transparent;
}

.viber__wrapper__step {
  width: 100%;
  border-radius: 5px;
  padding: 13px;
  display: grid;
  grid-template-rows: auto;
  grid-template-columns: 48px 16px calc(100% - 64px);
  grid-template: "icon . text";
}

.viber__wrapper__step__wrapper {
  display: grid;
  grid-template-rows: auto;
  grid-template-columns: 100%;
  gap: 10px 0px;
  margin-bottom: 44px;
}

.viber__wrapper__step__wrapper--min {
  margin-bottom: 20px;
}

.viber__wrapper__step__icon {
  grid-area: icon;
  display: flex;
  justify-content: center;
  padding-top: 5px;
}

.viber__wrapper__step__text {
  grid-area: text;
  width: 222px;
}

.viber__wrapper__step__text--title {
  font-weight: bold;
  font-size: 24px;
  line-height: 130%;
  margin: 0 0 6px;
}

.viber__wrapper__step__text--desc {
  font-size: 16px;
  line-height: 130%;
  margin: 0;
}

.viber__wrapper__step__text--phone {
  display: inline-block;
  border-radius: 5px;
  padding: 5px 16px;
  margin: 5px 0 0;
  font-size: 16px;
}

.viber__wrapper__qr {
  display: flex;
  flex-flow: column;
  align-items: center;
}

.viber__wrapper__qr__image {
  height: 216px;
  width: 216px;
  display: block;
  margin: -28px 0 0 -28px;
}

.viber__wrapper__qr__image--dark {
  filter: invert(1);
}

.viber__wrapper__qr__image--light {
  filter: invert(0);
}

.viber__wrapper__qr__image-wrapper {
  width: 160px;
  height: 160px;
  overflow: hidden;
}

.viber__wrapper__qr__text {
  font-size: 16px;
  line-height: 130%;
  margin: 44px 0 0;
}

.viber__wrapper__qr__text a:hover {
  text-decoration: underline;
}

.viber__wrapper__poweredBy {
  font-weight: 500;
  font-size: 10px;
  line-height: 12px;
  display: flex;
  justify-content: center;
  align-content: center;
  margin: 20px auto 8px;
  text-decoration: none;
  width: calc(100% - 44px);
}

.viber__wrapper__poweredBy a {
  display: block;
  font-weight: 500;
  font-size: 10px;
  line-height: 12px;
  text-decoration: none;
  margin: 0 0 0 5px;
  width: fit-content;
}

.viber__wrapper__poweredBy a:hover {
  text-decoration: underline;
}

.viber__wrapper__poweredBy--light {
  color: rgba(0, 0, 0, 0.6);
}

.viber__wrapper__poweredBy--light a {
  color: inherit;
}

.viber__wrapper__poweredBy--light a:hover {
  color: inherit;
}

.viber__wrapper__poweredBy--dark {
  color: rgba(255, 255, 255, 0.6);
}

.viber__wrapper__poweredBy--dark a {
  color: inherit;
}

.viber__wrapper__poweredBy--dark a:hover {
  color: inherit;
}

@media screen and (min-width: 1024px) {
  .viber__wrapper--horizontal-left.viber__wrapper--horizontal-left {
    top: 74px;
  }
}

      .offline-form-wrapper {
  position: absolute;
  bottom: 0;
  right: 0;
  width: 100%;
  height: 100%;
  display: flex;
  flex-flow: column;
  justify-content: flex-end;
  z-index: 1;
  scrollbar-width: none;
}

.offline-form-wrapper--dark {
  background-color: rgba(0, 0, 0, 0.4);
}

.offline-form-wrapper--light {
  background-color: rgba(0, 0, 0, 0.25);
}

.offline-form-wrapper::-webkit-scrollbar {
  width: 0;
}

.offline-form-desktop {
  width: 100%;
  overflow-x: hidden;
  position: relative;
  padding: 69px 38px 35px;
  margin-block-end: 0;
  transform: translateY(100%);
  transition: transform 0.3s ease-in-out;
}

.offline-form-desktop--dark {
  background-color: #172533;
  color: #ffffff;
}

.offline-form-desktop--light {
  background-color: #ffffff;
  color: #000000;
}

.offline-form-desktop-title {
  color: inherit;
  font-weight: bold;
  line-height: 130%;
  text-align: center;
}

.offline-form-desktop-title--online {
  font-size: 16px;
  margin: 0 0 35px;
}

.offline-form-desktop-title--offline {
  font-size: 24px;
  margin: 0 0 20px;
}

.offline-form-desktop-title--privacy_policy {
  font-size: 16px;
  margin: 0 0 35px;
}

.offline-form-desktop-description {
  text-align: center;
  font-size: 14px;
  line-height: 130%;
  margin: 0 0 20px;
}

.offline-form-desktop-close {
  position: absolute;
  top: 35px;
  right: 38px;
}

.offline-form-mobile {
  width: 100%;
  overflow-x: hidden;
  max-height: 480px;
  overflow-y: auto;
  position: relative;
  padding: 54px 23px 23px;
  margin-block-end: 0;
  transform: translateY(100%);
  transition: transform 0.3s ease-in-out;
}

.offline-form-mobile--dark {
  background-color: #172533;
  color: #ffffff;
}

.offline-form-mobile--light {
  background-color: #ffffff;
  color: #000000;
}

.offline-form-mobile-title {
  color: inherit;
  font-weight: bold;
  line-height: 130%;
  text-align: center;
  font-size: 16px;
  margin: 0 0 20px;
}

.offline-form-mobile-description {
  text-align: center;
  font-size: 14px;
  line-height: 130%;
  margin: 0 0 20px;
}

.offline-form-mobile-close {
  position: absolute;
  top: 20px;
  right: 23px;
}

.offline-form-input-wrapper {
  position: relative;
}

.offline-form-input-wrapper--required::after {
  content: '*';
  display: block;
  position: absolute;
  top: 5px;
  right: 8px;
  color: #f53a11;
  font-size: 16px;
  font-family: 'Roboto', sans-serif;
}

.offline-form-input-field {
  width: 100%;
  margin: 0 0 16px;
  border-radius: 5px;
  outline: none;
  box-shadow: none !important;
  font-size: 16px;
  line-height: 130%;
  color: inherit;
  padding: 12px 16px;
  height: 42px;
}

.offline-form-input-field--dark::placeholder {
  color: rgba(255, 255, 255, 0.6) !important;
}

.offline-form-input-field--light::placeholder {
  color: rgba(0, 0, 0, 0.5) !important;
}

.offline-form-input-field.offline-form-input-field-textArea {
  resize: none;
  height: 88px;
}

.offline-form-input-error {
  margin: -15px 0 16px;
  font-size: 12px;
  line-height: 130%;
  color: #f53a11;
}

.offline-form-submit {
  width: 100%;
  height: 42px;
  font-size: 16px;
  line-height: 19px;
  font-weight: bold;
  display: flex;
  justify-content: center;
  align-items: center;
  text-transform: capitalize;
  border: none;
  outline: none;
  border-radius: 5px;
  position: relative;
  cursor: pointer;
}

.offline-form-submit--disabled {
  opacity: 0.5;
}

.offline-form-submit--dark {
  color: #000000;
}

.offline-form-submit--dark:not(.offline-form-submit--disabled):hover::after {
  opacity: 1;
}

.offline-form-submit--dark:not(.offline-form-submit--disabled)::after {
  content: '';
  display: block;
  position: absolute;
  width: 100%;
  height: 100%;
  top: 0;
  left: 0;
  background-color: rgba(0, 0, 0, 0.25);
  border-radius: 5px;
  opacity: 0;
}

.offline-form-submit--light {
  color: #ffffff;
}

.offline-form-submit--light:not(.offline-form-submit--disabled):hover::after {
  opacity: 1;
}

.offline-form-submit--light:not(.offline-form-submit--disabled)::after {
  content: '';
  display: block;
  position: absolute;
  width: 100%;
  height: 100%;
  top: 0;
  left: 0;
  background-color: rgba(0, 0, 0, 0.4);
  border-radius: 5px;
  opacity: 0;
}

.offline-form-close {
  position: sticky;
  height: 0;
  top: 9px;
  margin-right: 10px;
  margin-left: auto;
}

      * {
    padding: 0;
    margin: 0;
    box-sizing: border-box;
}

button {
    background-color: transparent;
    border: none;
    outline: none;
    cursor: pointer;
}

.chat24-container {
    font-family: "Roboto", sans-serif;
}

      .badge {
    position: absolute;
    display: flex;
    opacity: 0;
    justify-content: center;
    align-items: center;
    height: 19px;
    padding: 0 6.75px;
    background-color: #f53a11;
    border-radius: 10px;
    font-family: "Roboto", sans-serif;
    font-weight: 700;
    font-size: 10px;
    font-variant-numeric: proportional-nums;
    line-height: 9px;
    color: #ffffff;
    z-index: 15;
    animation: fade 0.2s linear forwards;
}

@keyframes fade {
    0% {
        opacity: 0;
    }
    60% {
        opacity: 0;
    }
    100% {
        opacity: 1;
    }
}

      .close-btn {
    position: absolute;
    top: 0;
    right: 0;
    padding: 13px;
    display: flex;
    align-items: center;
    justify-content: center;
    color: inherit;
}

      .input-btn, .input-btn-loader {
    width: 35px;
    height: 35px;
    border-radius: 6px;
    display: inline-flex;
    align-items: center;
    justify-content: center;
}

      .mute-btn {
    color: inherit;
    position: absolute;
    right: 21px;
    bottom: 21px;
}

.mute-btn--muted {
    opacity: 0.5;
}

.mute-btn--row {
    position: static;
    margin: auto 29px auto auto;
}

.mute-btn svg {
    transition: transform 0.1s linear;
}

.mute-btn:hover svg {
    transform: scale(1.1);
}

      .scroll-btn {
    border: none;
    outline: none;
    width: 41px;
    height: 41px;
    border-radius: 20.5px;
    cursor: pointer;
    position: absolute;
    bottom: 8px;
    left: calc(100% - 41px - 26px);
    padding: 0;
    margin: 0;
    display: flex;
    justify-content: center;
    align-items: center;
    z-index: 1;
}

.scroll-btn--light {
    box-shadow: 0px 0px 20px rgba(0, 0, 0, 0.25);
}

.scroll-btn--dark {
    box-shadow: 0px 0px 4px rgba(0, 0, 0, 0.25);
}

      @keyframes spin {
    from {
        transform: rotate(0deg);
    }

    to {
        transform: rotate(360deg);
    }
}

.loader {
    animation: spin 1.2s linear infinite;
}

      .widget {
    display: flex;
    position: fixed;
    z-index: 1;
    transition: all 0.1s linear;
}

.widget--leaving {
    transform: translateY(-10px) !important;
    opacity: 0;
    visibility: hidden;
}

.widget--dark {
    background-color: #0e1621;
}

.widget--light {
    background-color: #fff;
}

.widget--horizontal {
    flex-flow: row;
    height: 64px;
    width: 100vw;
    padding: 0 10px;
    /* top: calc(100vh - 63px); */
    box-shadow: 0px 6px 30px 0px rgb(0, 0, 0, 0.45);
}

.widget--vertical {
    flex-flow: column;
    width: 64px;
    padding: 10px 0;
    box-shadow: 0px 10px 30px 0px rgb(0, 0, 0, 0.45);
}

.widget--right {
    border-top-left-radius: 8px;
    right: 0;
}

.widget--left {
    border-top-right-radius: 8px;
    left: 0;
}

.widget--bottom,
.widget--center {
    bottom: 0;
}

.widget--horizontal.widget--left,
.widget--horizontal.widget--right {
    border-radius: 0;
}

.widget--horizontal.widget--collapsed {
    transform: translateY(64px);
}

.widget--vertical.widget--right.widget--collapsed {
    transform: translateX(64px);
}

.widget--vertical.widget--left.widget--collapsed {
    transform: translateX(-64px);
}

@media (max-width: 1024px) {
  .widget--vertical.widget--right.widget--collapsed {
    box-shadow: none;
  }
  .widget--vertical.widget--left.widget--collapsed {
    box-shadow: none;
  }
}

@media (min-width: 1024px) {
    .widget {
        position: relative;
        box-shadow: 0px 5px 25px rgb(0 0 0 / 15%);
    }

    .widget--vertical.widget--left.widget--collapsed,
    .widget--vertical.widget--right.widget--collapsed,
    .widget--horizontal.widget--collapsed {
        transform: translate(0);
    }

    .widget.widget--collapsed {
        border-radius: 37px;
        width: 74px;
        height: 74px;
        background-color: transparent;
        padding: 0;
    }

    .widget.widget--open {
        border-radius: 14px;
    }

    .widget--horizontal {
        height: 74px;
        width: auto;
    }

    .widget--vertical {
        width: 74px;
    }

    .widget--horizontal.widget--right {
        flex-flow: row;
    }

    .widget--horizontal.widget--left {
        flex-flow: row-reverse;
    }

    .widget--vertical.widget--bottom {
        flex-flow: column;
    }

    .widget--vertical.widget--center {
        flex-flow: column-reverse;
    }

    .widget--vertical.widget--right {
        left: -74px;
    }
}

      .messengers {
    display: flex;
}

.messengers--vertical {
    flex-flow: column;
    width: 34px;
    margin: 0 auto;
}

.messengers--horizontal {
    flex-flow: row;
    height: 34px;
    margin: auto 0;
}

@media (min-width: 1024px) {
    .messengers {
        overflow: hidden;
        flex-wrap: wrap;
        transition: all 0.3s ease-in-out;
    }

    .widget--collapsed .messengers {
        height: 0;
        opacity: 0;
        visibility: hidden;
    }

    .messengers--vertical {
        width: 54px;
    }

    .messengers--horizontal {
        height: 54px;
    }
}

      .messenger {
    display: flex;
    justify-content: center;
    align-items: center;
    background-color: transparent;
    outline: none;
    border: none;
    cursor: pointer;
    width: 32px;
    height: 32px;
    position: relative;
}

.messenger--vertical {
    margin: 8px auto;
}

.messenger--horizontal {
    margin: auto 8px;
}

.messenger__badge {
    top: -8px;
    right: -8px;
}

@media (min-width: 1024px) {
    .messenger {
        width: 54px;
        height: 54px;
        margin: auto;
        border-radius: 6px;
        transition: all 0.1s ease-in-out;
    }

    .messenger__badge {
        top: 6px;
        right: 6px;
    }
}

.messenger img {
    width: 34px;
    height: 34px;
    border-radius: 18px;
    object-fit: contain;
}

.messenger svg {
    width: 34px;
    height: 34px;
}

      .startBtn {
    position: fixed;
    transition-property: transform, opacity, visibility;
    transition-duration: 0.2s;
    transition-timing-function: ease-out;
}

.startBtn--leaving {
    opacity: 0;
    transform: translateY(-10px);
    visibility: hidden;
}

.startBtn__button {
    display: block;
    margin: auto;
    background-color: transparent;
    border: none;
    border-radius: 50%;
    outline: none;
    cursor: pointer;
}

.startBtn__badge {
    top: 0;
    right: 0;
}

.startBtn__imgWrapper {
    display: flex;
    justify-content: center;
    align-items: center;
    width: 100%;
    height: 100%;
    border-radius: 50%;
    overflow: hidden;
}

.startBtn__img {
    width: 100%;
}

.startBtn--inside .startBtn__button {
    width: 32px;
    height: 32px;
}

.startBtn--inside.startBtn--vertical .startBtn__button {
    margin: 8px auto 0;
}

.startBtn--inside.startBtn--horizontal .startBtn__button {
    margin: auto 8px;
}

.startBtn--outside .startBtn__button {
    width: 64px;
    height: 64px;
    border-radius: 32px;
    box-shadow: 0px 5px 25px rgb(0 0 0 / 15%);
    transition: transform 0.1s linear;
}

.startBtn-overflow-hidden {
    overflow: hidden;
}

.startBtn--outside.startBtn--dark .startBtn__button {
    background-color: #0e1621;
}

.startBtn--outside.startBtn--light .startBtn__button {
    background-color: #fff;
}

.startBtn--outside.startBtn--bottom {
    bottom: 12px;
}

.startBtn--outside.startBtn--center {
    top: calc(50vh - 32px);
}

.startBtn--outside.startBtn--right {
    right: 12px;
}

.startBtn--outside.startBtn--left {
    left: 12px;
}

.startBtn--outside.startBtn--open.startBtn--bottom {
    transform: translateY(76px);
}

.startBtn--outside.startBtn--open.startBtn--center.startBtn--right {
    transform: translateX(76px);
}

.startBtn--outside.startBtn--open.startBtn--center.startBtn--left {
    transform: translateX(-76px);
}

.startBtn__remove {
    position: absolute;
    top: 0;
    right: 0;
    display: flex;
    justify-content: center;
    align-items: center;
    width: 20px;
    height: 20px;
    border: none;
    border-radius: 50%;
    background: #EBEBEB;
    opacity: 1;
    transition: opacity 0.2s ease-in-out, visibility 0.2s;
}

.startBtn__remove:hover,
.startBtn__remove:focus {
    opacity: 0.7;
}

.startBtn__remove:active {
    opacity: 0.4;
    transition: none;
}

.startBtn--open .startBtn__remove {
    opacity: 0;
    visibility: hidden;
    transition: none;
}

@media (min-width: 1024px) {
    .startBtn--inside {
        position: static;
    }

    .startBtn--inside .startBtn__button {
        width: 54px;
        height: 54px;
    }

    .startBtn--dark .startBtn__button {
        background-color: #0e1621;
    }

    .startBtn--light .startBtn__button {
        background-color: #fff;
    }

    .startBtn--inside.startBtn--collapsed .startBtn__button {
        border-radius: 37px;
        overflow: hidden;
        width: 74px;
        height: 74px;
        margin: 0;
    }

    .startBtn--inside.startBtn--open .startBtn__button {
        border-radius: 6px;
    }

    .startBtn--inside.startBtn--open .startBtn__button svg {
        transition: all 0.1s ease-in-out;
    }

    .startBtn--inside.startBtn--open .startBtn__button:hover svg {
        transform: scale(1.1);
    }

    .startBtn--open.startBtn--horizontal .startBtn__button {
        margin: auto 0;
    }

    .startBtn--open.startBtn--vertical .startBtn__button {
        margin: 0 auto;
    }
}

      .online-chat {
    position: fixed;
    top: 0;
    left: 0;
    z-index: 2;
    width: 100vw;
    height: calc(100% - 0px);
    transition: transform 0.1s linear;
    display: flex;
    flex-flow: column;
}

.online-chat--light {
    background-color: #fff;
}

.online-chat--dark {
    background-color: #0e1621;
}

@media screen and (max-width: 1024px) {
    .online-chat--collapsed {
        transform: translateY(150vh) !important;
        -webkit-transform: translateY(150vh) !important;
    }
}

@media screen and (min-width: 1024px) {
    .online-chat {
        min-height: 500px;
        max-height: 710px;
        width: 360px;
        border-radius: 14px;
        overflow: hidden;
        box-shadow: 0px 5px 25px rgba(0, 0, 0, 0.15);
        top: auto;
        left: auto;
        position: absolute;
        z-index: 2;
    }

    .online-chat--collapsed {
        transform: translateY(0) scale(0);
    }

    .online-chat--right.online-chat--bottom {
        transform-origin: right bottom;
    }

    .online-chat--left.online-chat--bottom {
        transform-origin: left bottom;
    }

    .online-chat--right.online-chat--center {
        transform-origin: right top;
    }

    .online-chat--left.online-chat--center {
        transform-origin: left top;
    }

    .online-chat--vertical.online-chat--right.online-chat--bottom {
        bottom: 0;
        right: 74px;
    }

    .online-chat--vertical.online-chat--left.online-chat--bottom {
        bottom: 0;
        left: 74px;
    }

    .online-chat--vertical.online-chat--right.online-chat--center {
        top: 0;
        right: 74px;
    }

    .online-chat--vertical.online-chat--left.online-chat--center {
        top: 0;
        left: 74px;
    }

    .online-chat--horizontal.online-chat--right.online-chat--bottom {
        bottom: 74px;
        right: 0;
    }

    .online-chat--horizontal.online-chat--left.online-chat--bottom {
        bottom: 74px;
        left: 0;
    }

    .online-chat--horizontal.online-chat--right.online-chat--center {
        top: 74px;
        right: 0;
    }

    .online-chat--horizontal.online-chat--left.online-chat--center {
        top: 74px;
        left: 0;
    }
}

      .attachment-modal__backdrop {
    position: absolute;
    top: 0;
    left: 0;
    z-index: 100;
    width: 100%;
    height: 100%;
    background-color: rgba(0, 0, 0, 0.25);
    display: flex;
    flex-flow: column;
    justify-content: flex-end;
}

.attachment-modal__container {
    width: 100%;
    border-radius: 14px 14px 0px 0px;
    display: flex;
    flex-flow: column;
    justify-content: center;
}

.attachment-modal__container--light {
    background-color: #fff;
    color: #000;
}

.attachment-modal__container--dark {
    background-color: #172533;
    color: #fff;
}

.attachment-modal__preview {
    margin: 12px;
    position: relative;
}

.attachment-modal__preview .close-btn {
    color: rgb(245, 58, 17);
}

.attachment-modal__preview--image {
    border-radius: 7px;
    background-repeat: no-repeat;
    background-position: center;
    background-size: contain;
    height: 288px;
}

.attachment-modal__preview--file {
    border-radius: 5px;
    height: 62px;
    padding: 15px;
    display: flex;
    flex-flow: row;
    align-items: center;
}

.attachment-modal__file-icon {
    margin-right: 16px;
}

.attachment-modal__file-name {
    font-weight: 700;
    font-size: 14px;
    line-height: 16px;
}

.attachment-modal__file-size {
    font-size: 14px;
    line-height: 16px;
}

      .self-service {
    padding: 10px;
    display: flex;
    flex-flow: row wrap;
    justify-content: space-between;
    overflow-y: auto;
    max-height: 406px;
    transition: all 0.2s linear;
}

.self-service--dark {
    background-color: #0e1621;
    border-top: 1px solid #202b36;
    color: #fff;
}

.self-service--light {
    color: #000000;
    background-color: #ffffff;
    border-top: 1px solid #eaeaea;
}

.self-service__button {
    width: calc((100% - 8px) / 2);
    padding: 10px 15px;
    font-weight: 500;
    font-size: 14px;
    line-height: 16px;
    text-align: center;
    color: inherit;
    border-radius: 5px;
    border-width: 1px;
    border-style: solid;
    margin: 4px 0;
    transition: all 0.1s linear;
    word-wrap: break-word;
}

.self-service__button--big {
    width: 100%;
}

.self-service--empty {
    padding: 0 10px;
    border-top-width: 0;
    max-height: 0;
}

      .date-divider {
    text-align: center;
    font-size: 12px;
    line-height: 14px;
    margin-bottom: 13px;
    opacity: 0.6;
}

.date-divider--dark {
    color: #ffffff;
}

.date-divider--light {
    color: #000000;
}

      .emoji-modal {
    position: absolute;
    bottom: 50px;
    right: 0;
    border-radius: 6px 6px 0px 0px;
    width: 250px;
    display: flex;
    flex-flow: wrap;
}

.emoji-modal--light {
    background-color: #fff;
    box-shadow: -3px -3px 12px rgba(0, 0, 0, 0.08);
}

.emoji-modal--dark {
    background-color: #1e2934;
    box-shadow: -3px -3px 12px rgba(0, 0, 0, 0.4);
}

.emoji {
    display: inline-flex;
    width: 50px;
    height: 50px;
    justify-content: center;
    align-items: center;
    border-radius: 6px;
    cursor: pointer;
    font-size: 26px;
    transition: all 0.1s linear;
}

.emoji--light:hover {
    background-color: #eee;
}

.emoji--dark:hover {
    background-color: #343e48;
}

.emoji-tabs {
    display: flex;
}

.emoji-tabs--light {
    background-color: #f3f3f3;
}

.emoji-tabs--dark {
    background-color: #17212b;
}

.emoji-tabs__tab {
    width: 50px;
    height: 50px;
    display: flex;
    justify-content: center;
    align-items: center;
    font-size: 26px;
    cursor: pointer;
}

.emoji-tabs__tab--active.emoji-tabs__tab--light {
    background-color: #fff;
}

.emoji-tabs__tab--active.emoji-tabs__tab--dark {
    background-color: #1e2934;
}

      .chat-header {
    padding: 6px 13px;
    position: relative;
    min-height: 40px;
    display: flex;
    align-items: center;
    transition: filter 0.1s linear;
}

.chat-header--dark {
    color: #000;
}

.chat-header--light {
    color: #fff;
}

.chat-header--blurred {
    filter: blur(4px);
}

.headerInfo__name {
    font-size: 12px;
    line-height: 14px;
    font-weight: 700;
    display: inline-block;
    margin-right: 4px;
}

.headerInfo__title {
    font-size: 12px;
    line-height: 14px;
    display: inline-block;
}

.headerInfo__title--bold {
    font-weight: 700;
}

.headerInfo__status {
    font-size: 12px;
    line-height: 14px;
    opacity: 0.5;
    margin: 2px 0 3px;
}

@media screen and (min-width: 1024px) {
    .chat-header {
        padding: 18px 21px;
        min-height: 53px;
    }

    .headerInfo__name {
        font-size: 14px;
        line-height: 16px;
        margin: 0 0 3px 0;
        display: block;
    }

    .headerInfo__title {
        font-size: 14px;
        line-height: 16px;
        margin-bottom: 3px;
    }

    .chat-header__avatar {
        display: flex;
        justify-content: center;
        align-items: center;
        position: relative;
        margin: -2px 11px -2px 0;
    }

    .chat-header__avatar--small {
        margin: 0 11px 0 0;
    }

    .chat-header__avatar-img {
        height: 64px;
        width: 64px;
        border-radius: 32px;
        object-fit: cover;
        object-position: 50% 50%;
    }

    .chat-header__avatar-img--small {
        height: 38px;
        width: 38px;
        border-radius: 19px;
        object-fit: cover;
        object-position: 50% 50%;
    }

    .chat-header__avatar-status {
        border: 2px solid #fff;
        border-radius: 20px;
        width: 21px;
        height: 21px;
        position: absolute;
        bottom: 0;
        right: 0;
    }

    .chat-header__avatar-status--small {
        border: 1px solid #ffffff;
        width: 12px;
        height: 12px;
    }

    .chat-header__avatar-status--online {
        background-color: #3bdd2d;
    }

    .chat-header__avatar-status--offline {
        background-color: #f24d19;
    }

    .chat-header .close-btn {
        padding: 0;
        top: 21px;
        right: 21px;
    }
}

      .input-container {
    display: flex;
    align-items: center;
    padding: 7.5px 12px;
}

.input-container--dark {
    background-color: #172533;
    box-shadow: 0px -14px 35px rgb(0 0 0 / 30%);
    border-top: 1px solid #202b36;
}

.input-container--light {
    background-color: #fff;
    box-shadow: 0px -14px 35px rgb(0 0 0 / 3%);
    border-top: 1px solid #eaeaea;
}

.input__textarea {
    resize: none;
    background-color: transparent;
    border: none;
    outline: none;
    box-shadow: none;
    min-height: auto;
    font-size: 16px;
    line-height: 20px;
    padding: 1px 0;
    align-self: flex-start;
    margin: 7px 7px 0;
    font-family: "Roboto", sans-serif;
    flex-grow: 1;
}

.input__textarea--light {
    color: #000;
}

.input__textarea--dark {
    color: #fff;
}

.input__textarea--light::placeholder {
    color: #757575;
    opacity: 0.6;
}

.input__textarea--dark::placeholder {
    color: #fff;
    opacity: 0.6;
}

@media screen and (min-width: 1024px) {
    .input-container {
        padding: 17px 15px 15px;
    }

    .input__textarea {
        line-height: 21px;
        padding: 0 15px;
        margin: auto 0;
    }

    .input__textarea::-webkit-scrollbar {
        width: 6px;
    }

    .input__textarea::-webkit-scrollbar-track {
        background: #f0f0f0;
        border-radius: 7.5px;
    }

    .input__textarea::-webkit-scrollbar-thumb {
        background: #c4c4c4;
        border-radius: 3px;
    }
}

      .scrollbars-container {
    display: flex;
    flex-flow: column;
    flex-grow: 1;
    position: relative;
}

.messages-container {
    position: relative;
    transition: filter 0.1s linear;
}

.messages-container--blurred {
    filter: blur(4px);
}

.messages {
    display: flex;
    flex-flow: column-reverse;
    min-height: calc(100% - 23px);
    padding: 30px 21px 0;
}

.messages__footer {
    font-family: "Roboto", sans-serif;
    font-style: normal;
    font-weight: 500;
    font-size: 12px;
    line-height: 14px;
    text-align: center;
    opacity: 0.5;
    margin-bottom: 9px;
}

.messages__footer a {
    margin-left: 2px;
    text-decoration: none;
    opacity: 1;
}

.messages__footer--light {
    color: #000;
}

.messages__footer--dark {
    color: #fff;
}


      .message {
    padding: 4px;
    border-radius: 5px;
    margin-bottom: 13px;
    min-width: 91px;
    max-width: 255px;
}

.message__body {
    padding: 9px 4px 2px 13px;
}

.message--dark, .message--dark a {
    color: #fff;
}

.message--light, .message--light a {
    color: #000;
}

.message--operator {
    margin-right: auto;
}

.message--user {
    margin-left: auto;
}

.message--operator.message--dark {
    background: #202b36;
}

.message--operator.message--light {
    background: #f5f5f5;
}

.message__text {
    font-size: 14px;
    line-height: 16px;
    font-weight: 400;
    word-break: break-word;
    /* white-space: pre-wrap; */
    display: inline-block;
    margin-right: 6px;
    padding-bottom: 5px;
}

.message__text a {
    text-decoration: none;
}

.message__text a:hover {
    text-decoration: underline;
}

.message__date {
    font-size: 10px;
    line-height: 12px;
    float: right;
}

.message__date--opacity {
    opacity: 0.5;
}

.message__date--big {
    margin-left: 20px;
    margin-top: 2px;
}

.message__date--small {
    margin-top: 11px;
    margin-left: 0;
}

.message__status--small {
    margin-top: 11px;
    margin-left: 0;
}

.message__status--unread {
    margin-left: 7px;
}

.message__status--read {
    margin-left: 3px;
}

.message__status--fail {
    margin-left: 7px;
    opacity: 1;
    color: #f53a11;
}

.message-attachments {
    position: relative;
}

.message-attachments--image:not(:last-child) {
    margin: 3px 0 13px;
}

.message-attachments--file {
    padding: 0 4px 0 13px;
}

.message-attachments--date {
    position: absolute;
    right: 0;
    bottom: 0;
    margin: 4px 4px;
}

.message-attachments--date--container {
    background-color: rgb(0, 0, 0, 0.65);
    border-radius: 7px;
    display: flex;
    flex-direction: column;
    justify-content: center;
    color: white;
    padding: 2px 5px;
}

.message-preview__image {
    width: 100%;
    height: 100%;
    object-fit: contain;
    border-radius: 3px;
    display: flex;
    justify-content: center;
    align-items: center;
    overflow: hidden;
}

.message-preview__image img {
    width: 100%;
}

.message-preview__info {
    margin-right: 23px;
    margin-top: 14px;
    padding-top: 2px;
    display: flex;
    align-items: center;
}

.message-preview__info--padding-bottom {
    padding-bottom: 15px;
}

.message-preview__icon {
    margin-right: 16px;
}

.attachment-modal__file-info {
    display: flex;
    flex-flow: column;
}

.attachment-modal__file-name {
    font-weight: 500;
    font-size: 14px;
    line-height: 16px;
    text-decoration: none;
}

.attachment-modal__file-name:hover {
    text-decoration: underline;
}

.attachment-modal__file-size {
    font-size: 14px;
    line-height: 16px;
    opacity: 0.5;
    text-transform: uppercase;
}

      .privacy-policy-wrapper {
  display: flex;
  align-items: start;
  margin: 0 0 16px;
}

.privacy-policy-checkbox {
  position: relative;
  display: flex;
  justify-content: center;
  align-items: center;
  flex-shrink: 0;
  width: 24px;
  height: 24px;
  margin: 0 10px 0 0;
  color: #20639b;
  border-radius: 5px;
  user-select: none;
  outline: none;
  box-shadow: none !important;
  cursor: pointer;
}

.privacy-policy-checkbox_input {
  position: absolute;
  opacity: 0;
  cursor: pointer;
  height: 0;
  width: 0;
}

.privacy-policy {
  max-width: calc(100% - 34px);
  margin: 0 0 16px;
  font-size: 14px;
  font-weight: 400;
  line-height: 18.2px;
  overflow-wrap: break-word;
  white-space: pre-line;
}

.privacy-policy--dark {
  color: rgba(255, 255, 255, 0.6);
}

.privacy-policy--light {
  color: rgba(0, 0, 0, 0.5);
}

.privacy-policy a {
  text-decoration: none;
}

.privacy-policy--light a {
  color: rgba(32, 99, 155, 0.5);
}

.privacy-policy--dark a {
  color: rgba(32, 99, 155, 1);
}
       </style>